IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_equ_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_equ_equipo]
GO
CREATE PROCEDURE [reg_equ_equipo]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[equipo] AS [equipo],
		[equipo_codigo] AS [equipo_codigo],
		[equipo_serial] AS [equipo_serial],
		[nombreContacto] AS [nombreContacto],
		[telefonoContacto] AS [telefonoContacto],
		[ubicacion] AS [ubicacion],
		[observaciones] AS [observaciones],
		[fechaPuestaMarcha_fh] AS [fechaPuestaMarcha_fh],
		[vencimientoGarantiaFabrica_ff] AS [vencimientoGarantiaFabrica_ff],
		[vencimientoGarantiaDistribuidor_ff] AS [vencimientoGarantiaDistribuidor_ff],
		[horasGarantia] AS [horasGarantia],
		[ultimaLectura_fh] AS [ultimaLectura_fh],
		[horometroActual] AS [horometroActual],
		[promedioHoras] AS [promedioHoras],
		[costo] AS [costo],
		[fechaImportacion_ff] AS [fechaImportacion_ff],
		[garantiaCancelada] AS [garantiaCancelada],
		[id_catalogo.equipo] AS [id_catalogo.equipo],
		[id_sistema] AS [id_sistema],
		[id_sucursal] AS [id_sucursal],
		[id_zona] AS [id_zona],
		[id_versionEquipo] AS [id_versionEquipo],
		[id_tercero_comprador] AS [id_tercero_comprador],
		[id_tercero] AS [id_tercero],
		[id_tercero_servicio] AS [id_tercero_servicio],
		[id_equipo] AS [id_equipo],
		[id_estadoEquipo] AS [id_estadoEquipo],
		[id_centroCosto] AS [id_centroCosto]
	FROM [equ_equipo]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_equ_equipo]')) DROP VIEW [dbo].[view_equ_equipo]
GO
CREATE  VIEW [view_equ_equipo] AS
SELECT 	[equ_equipo].[id] AS [id],
		[equ_equipo].[uid] AS [uid],
		[equ_equipo].[eid] AS [eid],
		[equ_equipo].[id_usuario_modifico] AS [id_usuario_modifico],
		[equ_equipo].[id_usuario_creo] AS [id_usuario_creo],
		[equ_equipo].[fechaModificacion] AS [fechaModificacion],
		[equ_equipo].[fechaCreacion] AS [fechaCreacion],
		[equ_equipo].[active] AS [active],
		[equ_equipo].[equipo] AS [equipo],
		[equ_equipo].[equipo_codigo] AS [equipo_codigo],
		[equ_equipo].[equipo_serial] AS [equipo_serial],
		[equ_equipo].[nombreContacto] AS [nombreContacto],
		[equ_equipo].[telefonoContacto] AS [telefonoContacto],
		[equ_equipo].[ubicacion] AS [ubicacion],
		[equ_equipo].[observaciones] AS [observaciones],
		[equ_equipo].[fechaPuestaMarcha_fh] AS [fechaPuestaMarcha_fh],
		[equ_equipo].[vencimientoGarantiaFabrica_ff] AS [vencimientoGarantiaFabrica_ff],
		[equ_equipo].[vencimientoGarantiaDistribuidor_ff] AS [vencimientoGarantiaDistribuidor_ff],
		[equ_equipo].[horasGarantia] AS [horasGarantia],
		[equ_equipo].[ultimaLectura_fh] AS [ultimaLectura_fh],
		[equ_equipo].[horometroActual] AS [horometroActual],
		[equ_equipo].[promedioHoras] AS [promedioHoras],
		[equ_equipo].[costo] AS [costo],
		[equ_equipo].[fechaImportacion_ff] AS [fechaImportacion_ff],
		[equ_equipo].[garantiaCancelada] AS [garantiaCancelada],
		[equ_equipo].[id_catalogo.equipo] AS [id_catalogo.equipo],
[cat_catalogo.equipo].[catalogo.equipo] as [cat_catalogo.equipo_catalogo.equipo],
[cat_catalogo.equipo].[garantiaMeses] as [cat_catalogo.equipo_garantiaMeses],
[cat_catalogo.equipo].[garantiaHoras] as [cat_catalogo.equipo_garantiaHoras],
[cat_catalogo.equipo].[manejaHorometro] as [cat_catalogo.equipo_manejaHorometro],
[cat_catalogo.equipo].[id_marca] as [cat_catalogo.equipo_id_marca],
[cat_subtipocatalogo].[subtipocatalogo] AS cat_subtipocatalogo_subtipocatalogo,
		[cat_catalogo_equipo].[catalogo_codigo] AS [cat_catalogo_equipo_catalogo_codigo],
		[cat_catalogo_equipo].[codigoInventario] AS [cat_catalogo_equipo_codigoInventario],
		[cat_catalogo_equipo].[precioVenta] AS [cat_catalogo_equipo_precioVenta],
		[cat_catalogo_equipo].[tiempoConsecucion] AS [cat_catalogo_equipo_tiempoConsecucion],
		[cat_catalogo_equipo].[esNacional] AS [cat_catalogo_equipo_esNacional],
		[cat_catalogo_equipo].[id_familia] AS [cat_catalogo_equipo_id_familia],
		[cat_catalogo_equipo].[id_subtipoCatalogo] AS [cat_catalogo_equipo_id_subtipoCatalogo],
		[cat_catalogo_equipo].[id_unidad] AS [cat_catalogo_equipo_id_unidad],
		[cat_catalogo_equipo].[id_impuesto] AS [cat_catalogo_equipo_id_impuesto],
		[cat_catalogo_equipo].[descripcion] AS [cat_catalogo_equipo_descripcion],
		[cat_catalogo_equipo].[bloquearCostear] AS [cat_catalogo_equipo_bloquearCostear],
		[equ_equipo].[id_sistema] AS [id_sistema],
[cat_sistema].[sistema] as [cat_sistema_sistema],
[cat_sistema].[sistema_codigo] as [cat_sistema_sistema_codigo],
[cat_sistema].[id_sistema] as [cat_sistema_id_sistema],
		[equ_equipo].[id_sucursal] AS [id_sucursal],
[ter_sucursal].[sucursal] as [ter_sucursal_sucursal],
[ter_sucursal].[sucursal_codigo] as [ter_sucursal_sucursal_codigo],
[ter_sucursal].[contacto] as [ter_sucursal_contacto],
[ter_sucursal].[telefono] as [ter_sucursal_telefono],
[ter_sucursal].[Fax] as [ter_sucursal_Fax],
[ter_sucursal].[Email] as [ter_sucursal_Email],
[ter_sucursal].[Direccion] as [ter_sucursal_Direccion],
[ter_sucursal].[paraVenta] as [ter_sucursal_paraVenta],
[ter_sucursal].[paraSoporte] as [ter_sucursal_paraSoporte],
[ter_sucursal].[paraAlquiler] as [ter_sucursal_paraAlquiler],
[ter_sucursal].[id_tercero] as [ter_sucursal_id_tercero],
[ter_sucursal].[id_zona] as [ter_sucursal_id_zona],
[ter_sucursal].[id_usuario_asesor] as [ter_sucursal_id_usuario_asesor],
[ter_sucursal].[id_usuario_tecnico] as [ter_sucursal_id_usuario_tecnico],
[ter_sucursal].[id_sucursal] as [ter_sucursal_id_sucursal],
[ter_sucursal].[id_estadoTercero] as [ter_sucursal_id_estadoTercero],
[ter_sucursal].[codigorecursiva] as [ter_sucursal_codigorecursiva],
		[equ_equipo].[id_zona] AS [id_zona],
[gen_zona].[zona] as [gen_zona_zona],
[gen_zona].[zona_codigo] as [gen_zona_zona_codigo],
[gen_zona].[tiempoDesplazamiento] as [gen_zona_tiempoDesplazamiento],
[gen_zona].[nivel] as [gen_zona_nivel],
[gen_zona].[id_zona] as [gen_zona_id_zona],
[gen_zona].[codigoExterno] as [gen_zona_codigoExterno],
		[equ_equipo].[id_versionEquipo] AS [id_versionEquipo],
[cat_versionEquipo].[versionEquipo] as [cat_versionEquipo_versionEquipo],
[cat_versionEquipo].[versionEquipo_codigo] as [cat_versionEquipo_versionEquipo_codigo],
[cat_versionEquipo].[id_catalogo.equipo] as [cat_versionEquipo_id_catalogo.equipo],
		[equ_equipo].[id_tercero_comprador] AS [id_tercero_comprador],
[ter_tercero_comprador].[tercero] as [ter_tercero_comprador_tercero],
[ter_tercero_comprador].[tercero_codigo] as [ter_tercero_comprador_tercero_codigo],
[ter_tercero_comprador].[tercero_nit] as [ter_tercero_comprador_tercero_nit],
[ter_tercero_comprador].[direccion] as [ter_tercero_comprador_direccion],
[ter_tercero_comprador].[contacto] as [ter_tercero_comprador_contacto],
[ter_tercero_comprador].[telefono] as [ter_tercero_comprador_telefono],
[ter_tercero_comprador].[fax] as [ter_tercero_comprador_fax],
[ter_tercero_comprador].[email] as [ter_tercero_comprador_email],
[ter_tercero_comprador].[website] as [ter_tercero_comprador_website],
[ter_tercero_comprador].[representante] as [ter_tercero_comprador_representante],
[ter_tercero_comprador].[notas] as [ter_tercero_comprador_notas],
[ter_tercero_comprador].[tercero_nombreCorto] as [ter_tercero_comprador_tercero_nombreCorto],
[ter_tercero_comprador].[esCliente] as [ter_tercero_comprador_esCliente],
[ter_tercero_comprador].[esProveedor] as [ter_tercero_comprador_esProveedor],
[ter_tercero_comprador].[esTransportador] as [ter_tercero_comprador_esTransportador],
[ter_tercero_comprador].[esFabricante] as [ter_tercero_comprador_esFabricante],
[ter_tercero_comprador].[esEmpresaPropia] as [ter_tercero_comprador_esEmpresaPropia],
[ter_tercero_comprador].[clasificacion] as [ter_tercero_comprador_clasificacion],
[ter_tercero_comprador].[id_zona] as [ter_tercero_comprador_id_zona],
[ter_tercero_comprador].[id_estadoTercero] as [ter_tercero_comprador_id_estadoTercero],
[ter_tercero_comprador].[id_naturalezaTercero] as [ter_tercero_comprador_id_naturalezaTercero],
[ter_tercero_comprador].[esProspecto] as [ter_tercero_comprador_esProspecto],
		[equ_equipo].[id_tercero] AS [id_tercero],
[ter_tercero].[tercero] as [ter_tercero_tercero],
[ter_tercero].[tercero_codigo] as [ter_tercero_tercero_codigo],
[ter_tercero].[tercero_nit] as [ter_tercero_tercero_nit],
[ter_tercero].[direccion] as [ter_tercero_direccion],
[ter_tercero].[contacto] as [ter_tercero_contacto],
[ter_tercero].[telefono] as [ter_tercero_telefono],
[ter_tercero].[fax] as [ter_tercero_fax],
[ter_tercero].[email] as [ter_tercero_email],
[ter_tercero].[website] as [ter_tercero_website],
[ter_tercero].[representante] as [ter_tercero_representante],
[ter_tercero].[notas] as [ter_tercero_notas],
[ter_tercero].[tercero_nombreCorto] as [ter_tercero_tercero_nombreCorto],
[ter_tercero].[esCliente] as [ter_tercero_esCliente],
[ter_tercero].[esProveedor] as [ter_tercero_esProveedor],
[ter_tercero].[esTransportador] as [ter_tercero_esTransportador],
[ter_tercero].[esFabricante] as [ter_tercero_esFabricante],
[ter_tercero].[esEmpresaPropia] as [ter_tercero_esEmpresaPropia],
[ter_tercero].[clasificacion] as [ter_tercero_clasificacion],
[ter_tercero].[id_zona] as [ter_tercero_id_zona],
[ter_tercero].[id_estadoTercero] as [ter_tercero_id_estadoTercero],
[ter_tercero].[id_naturalezaTercero] as [ter_tercero_id_naturalezaTercero],
[ter_tercero].[esProspecto] as [ter_tercero_esProspecto],
		[equ_equipo].[id_tercero_servicio] AS [id_tercero_servicio],
[ter_tercero_servicio].[tercero] as [ter_tercero_servicio_tercero],
[ter_tercero_servicio].[tercero_codigo] as [ter_tercero_servicio_tercero_codigo],
[ter_tercero_servicio].[tercero_nit] as [ter_tercero_servicio_tercero_nit],
[ter_tercero_servicio].[direccion] as [ter_tercero_servicio_direccion],
[ter_tercero_servicio].[contacto] as [ter_tercero_servicio_contacto],
[ter_tercero_servicio].[telefono] as [ter_tercero_servicio_telefono],
[ter_tercero_servicio].[fax] as [ter_tercero_servicio_fax],
[ter_tercero_servicio].[email] as [ter_tercero_servicio_email],
[ter_tercero_servicio].[website] as [ter_tercero_servicio_website],
[ter_tercero_servicio].[representante] as [ter_tercero_servicio_representante],
[ter_tercero_servicio].[notas] as [ter_tercero_servicio_notas],
[ter_tercero_servicio].[tercero_nombreCorto] as [ter_tercero_servicio_tercero_nombreCorto],
[ter_tercero_servicio].[esCliente] as [ter_tercero_servicio_esCliente],
[ter_tercero_servicio].[esProveedor] as [ter_tercero_servicio_esProveedor],
[ter_tercero_servicio].[esTransportador] as [ter_tercero_servicio_esTransportador],
[ter_tercero_servicio].[esFabricante] as [ter_tercero_servicio_esFabricante],
[ter_tercero_servicio].[esEmpresaPropia] as [ter_tercero_servicio_esEmpresaPropia],
[ter_tercero_servicio].[clasificacion] as [ter_tercero_servicio_clasificacion],
[ter_tercero_servicio].[id_zona] as [ter_tercero_servicio_id_zona],
[ter_tercero_servicio].[id_estadoTercero] as [ter_tercero_servicio_id_estadoTercero],
[ter_tercero_servicio].[id_naturalezaTercero] as [ter_tercero_servicio_id_naturalezaTercero],
[ter_tercero_servicio].[esProspecto] as [ter_tercero_servicio_esProspecto],
		[equ_equipo].[id_equipo] AS [id_equipo],
[equ_equipo_padre].[equipo] as [equ_equipo_padre_equipo],
[equ_equipo_padre].[equipo_codigo] as [equ_equipo_padre_equipo_codigo],
[equ_equipo_padre].[equipo_serial] as [equ_equipo_padre_equipo_serial],
[equ_equipo_padre].[nombreContacto] as [equ_equipo_padre_nombreContacto],
[equ_equipo_padre].[telefonoContacto] as [equ_equipo_padre_telefonoContacto],
[equ_equipo_padre].[ubicacion] as [equ_equipo_padre_ubicacion],
[equ_equipo_padre].[observaciones] as [equ_equipo_padre_observaciones],
[equ_equipo_padre].[fechaPuestaMarcha_fh] as [equ_equipo_padre_fechaPuestaMarcha_fh],
[equ_equipo_padre].[vencimientoGarantiaFabrica_ff] as [equ_equipo_padre_vencimientoGarantiaFabrica_ff],
[equ_equipo_padre].[vencimientoGarantiaDistribuidor_ff] as [equ_equipo_padre_vencimientoGarantiaDistribuidor_ff],
[equ_equipo_padre].[horasGarantia] as [equ_equipo_padre_horasGarantia],
[equ_equipo_padre].[ultimaLectura_fh] as [equ_equipo_padre_ultimaLectura_fh],
[equ_equipo_padre].[horometroActual] as [equ_equipo_padre_horometroActual],
[equ_equipo_padre].[promedioHoras] as [equ_equipo_padre_promedioHoras],
[equ_equipo_padre].[costo] as [equ_equipo_padre_costo],
[equ_equipo_padre].[fechaImportacion_ff] as [equ_equipo_padre_fechaImportacion_ff],
[equ_equipo_padre].[garantiaCancelada] as [equ_equipo_padre_garantiaCancelada],
[equ_equipo_padre].[id_catalogo.equipo] as [equ_equipo_padre_id_catalogo.equipo],
[equ_equipo_padre].[id_sistema] as [equ_equipo_padre_id_sistema],
[equ_equipo_padre].[id_sucursal] as [equ_equipo_padre_id_sucursal],
[equ_equipo_padre].[id_zona] as [equ_equipo_padre_id_zona],
[equ_equipo_padre].[id_versionEquipo] as [equ_equipo_padre_id_versionEquipo],
[equ_equipo_padre].[id_tercero_comprador] as [equ_equipo_padre_id_tercero_comprador],
[equ_equipo_padre].[id_tercero] as [equ_equipo_padre_id_tercero],
[equ_equipo_padre].[id_tercero_servicio] as [equ_equipo_padre_id_tercero_servicio],
[equ_equipo_padre].[id_equipo] as [equ_equipo_padre_id_equipo],
[equ_equipo_padre].[id_estadoEquipo] as [equ_equipo_padre_id_estadoEquipo],
[equ_equipo_padre].[id_centroCosto] as [equ_equipo_padre_id_centroCosto],
		[equ_equipo].[id_estadoEquipo] AS [id_estadoEquipo],
[equ_estadoEquipo].[estadoEquipo] as [equ_estadoEquipo_estadoEquipo],
[equ_estadoEquipo].[estadoEquipo_codigo] as [equ_estadoEquipo_estadoEquipo_codigo],
[equ_estadoEquipo].[activo] as [equ_estadoEquipo_activo],
		[equ_equipo].[id_centroCosto] AS [id_centroCosto],
[doc_centroCosto].[centroCosto] as [doc_centroCosto_centroCosto],
[doc_centroCosto].[centroCosto_codigo] as [doc_centroCosto_centroCosto_codigo],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [equ_equipo]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[equ_equipo].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[equ_equipo].[id_usuario_creo]
	INNER JOIN [cat_catalogo.equipo] ON [cat_catalogo.equipo].id=[equ_equipo].[id_catalogo.equipo]
	INNER JOIN [cat_catalogo] aS [cat_catalogo_equipo] ON [cat_catalogo.equipo].id = [cat_catalogo_equipo].id
	INNER JOIN [cat_subtipocatalogo] aS [cat_subtipocatalogo] ON [cat_catalogo_equipo].id_subtipocatalogo = [cat_subtipocatalogo].id
	INNER JOIN [cat_sistema] ON [cat_sistema].id=[equ_equipo].[id_sistema]
	INNER JOIN [ter_sucursal] ON [ter_sucursal].id=[equ_equipo].[id_sucursal]
	INNER JOIN [gen_zona] ON [gen_zona].id=[equ_equipo].[id_zona]
	INNER JOIN [cat_versionEquipo] ON [cat_versionEquipo].id=[equ_equipo].[id_versionEquipo]
	INNER JOIN [ter_tercero] AS [ter_tercero_comprador] ON [ter_tercero_comprador].id=[equ_equipo].[id_tercero_comprador]
	INNER JOIN [ter_tercero] ON [ter_tercero].id=[equ_equipo].[id_tercero]
	INNER JOIN [ter_tercero] AS [ter_tercero_servicio] ON [ter_tercero_servicio].id=[equ_equipo].[id_tercero_servicio]
	INNER JOIN [equ_equipo] AS [equ_equipo_padre] ON [equ_equipo_padre].id=[equ_equipo].[id_equipo]
	INNER JOIN [equ_estadoEquipo] ON [equ_estadoEquipo].id=[equ_equipo].[id_estadoEquipo]
	INNER JOIN [doc_centroCosto] ON [doc_centroCosto].id=[equ_equipo].[id_centroCosto]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [equ_equipo].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [equ_equipo].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXusuario_modifico]
GO
CREATE PROCEDURE [sel_equ_equiposXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXusuario_creo]
GO
CREATE PROCEDURE [sel_equ_equiposXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXcatalogo_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXcatalogo_equipo]
GO
CREATE PROCEDURE [sel_equ_equiposXcatalogo_equipo]
	@p_id_catalogo_equipo INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_catalogo.equipo]= @p_id_catalogo_equipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXsistema]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXsistema]
GO
CREATE PROCEDURE [sel_equ_equiposXsistema]
	@p_id_sistema INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_sistema]= @p_id_sistema)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXsucursal]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXsucursal]
GO
CREATE PROCEDURE [sel_equ_equiposXsucursal]
	@p_id_sucursal INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_sucursal]= @p_id_sucursal)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXzona]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXzona]
GO
CREATE PROCEDURE [sel_equ_equiposXzona]
	@p_id_zona INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_zona]= @p_id_zona)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXversionEquipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXversionEquipo]
GO
CREATE PROCEDURE [sel_equ_equiposXversionEquipo]
	@p_id_versionEquipo INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_versionEquipo]= @p_id_versionEquipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXtercero_comprador]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXtercero_comprador]
GO
CREATE PROCEDURE [sel_equ_equiposXtercero_comprador]
	@p_id_tercero_comprador INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_tercero_comprador]= @p_id_tercero_comprador)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXtercero]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXtercero]
GO
CREATE PROCEDURE [sel_equ_equiposXtercero]
	@p_id_tercero INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_tercero]= @p_id_tercero)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXtercero_servicio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXtercero_servicio]
GO
CREATE PROCEDURE [sel_equ_equiposXtercero_servicio]
	@p_id_tercero_servicio INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_tercero_servicio]= @p_id_tercero_servicio)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXequipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXequipo]
GO
CREATE PROCEDURE [sel_equ_equiposXequipo]
	@p_id_equipo INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_equipo]= @p_id_equipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXestadoEquipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXestadoEquipo]
GO
CREATE PROCEDURE [sel_equ_equiposXestadoEquipo]
	@p_id_estadoEquipo INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_estadoEquipo]= @p_id_estadoEquipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXcentroCosto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXcentroCosto]
GO
CREATE PROCEDURE [sel_equ_equiposXcentroCosto]
	@p_id_centroCosto INT
AS
BEGIN
	SELECT * 
	FROM [view_equ_equipo]
	WHERE ([id_centroCosto]= @p_id_centroCosto)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equipos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equipos]
GO
CREATE PROCEDURE [sel_equ_equipos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_equ_equipo]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_equ_equipos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_equ_equipos]
GO
CREATE PROCEDURE [lis_equ_equipos]
	AS
BEGIN
	SELECT id AS id,
[equipo] AS [equ_equipo]
	FROM [equ_equipo]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_equ_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_equ_equipo]
GO
CREATE PROCEDURE [upd_equ_equipo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_equipo varchar(300) = null,
		@p_equipo_codigo varchar(100) = null,
		@p_equipo_serial varchar(100) = null,
		@p_nombreContacto varchar(100) = null,
		@p_telefonoContacto varchar(100) = null,
		@p_ubicacion varchar(300) = null,
		@p_observaciones varchar(300) = null,
		@p_fechaPuestaMarcha_fh smalldatetime = null,
		@p_vencimientoGarantiaFabrica_ff smalldatetime = null,
		@p_vencimientoGarantiaDistribuidor_ff smalldatetime = null,
		@p_horasGarantia float = null,
		@p_ultimaLectura_fh smalldatetime = null,
		@p_horometroActual float = null,
		@p_promedioHoras float = null,
		@p_costo money = null,
		@p_fechaImportacion_ff smalldatetime = null,
		@p_garantiaCancelada varchar(100) = null,
		@p_id_catalogo_equipo int = null,
		@p_id_sistema int = null,
		@p_id_sucursal int = null,
		@p_id_zona int = null,
		@p_id_versionEquipo int = null,
		@p_id_tercero_comprador int = null,
		@p_id_tercero int = null,
		@p_id_tercero_servicio int = null,
		@p_id_equipo int = null,
		@p_id_estadoEquipo int = null,
		@p_id_centroCosto int = null
AS
BEGIN
		UPDATE [equ_equipo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[equipo] = isnull(@p_equipo,[equipo]),
			[equipo_codigo] = isnull(@p_equipo_codigo,[equipo_codigo]),
			[equipo_serial] = isnull(@p_equipo_serial,[equipo_serial]),
			[nombreContacto] = isnull(@p_nombreContacto,[nombreContacto]),
			[telefonoContacto] = isnull(@p_telefonoContacto,[telefonoContacto]),
			[ubicacion] = isnull(@p_ubicacion,[ubicacion]),
			[observaciones] = isnull(@p_observaciones,[observaciones]),
			[fechaPuestaMarcha_fh] = isnull(@p_fechaPuestaMarcha_fh,[fechaPuestaMarcha_fh]),
			[vencimientoGarantiaFabrica_ff] = isnull(@p_vencimientoGarantiaFabrica_ff,[vencimientoGarantiaFabrica_ff]),
			[vencimientoGarantiaDistribuidor_ff] = isnull(@p_vencimientoGarantiaDistribuidor_ff,[vencimientoGarantiaDistribuidor_ff]),
			[horasGarantia] = isnull(@p_horasGarantia,[horasGarantia]),
			[ultimaLectura_fh] = isnull(@p_ultimaLectura_fh,[ultimaLectura_fh]),
			[horometroActual] = isnull(@p_horometroActual,[horometroActual]),
			[promedioHoras] = isnull(@p_promedioHoras,[promedioHoras]),
			[costo] = isnull(@p_costo,[costo]),
			[fechaImportacion_ff] = isnull(@p_fechaImportacion_ff,[fechaImportacion_ff]),
			[garantiaCancelada] = isnull(@p_garantiaCancelada,[garantiaCancelada]),
			[id_catalogo.equipo] = isnull(@p_id_catalogo_equipo,[id_catalogo.equipo]),
			[id_sistema] = isnull(@p_id_sistema,[id_sistema]),
			[id_sucursal] = isnull(@p_id_sucursal,[id_sucursal]),
			[id_zona] = isnull(@p_id_zona,[id_zona]),
			[id_versionEquipo] = isnull(@p_id_versionEquipo,[id_versionEquipo]),
			[id_tercero_comprador] = isnull(@p_id_tercero_comprador,[id_tercero_comprador]),
			[id_tercero] = isnull(@p_id_tercero,[id_tercero]),
			[id_tercero_servicio] = isnull(@p_id_tercero_servicio,[id_tercero_servicio]),
			[id_equipo] = isnull(@p_id_equipo,[id_equipo]),
			[id_estadoEquipo] = isnull(@p_id_estadoEquipo,[id_estadoEquipo]),
			[id_centroCosto] = isnull(@p_id_centroCosto,[id_centroCosto])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_equ_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_equ_equipo]
GO
CREATE PROCEDURE [ins_equ_equipo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_equipo varchar(300),
		@p_equipo_codigo varchar(100),
		@p_equipo_serial varchar(100),
		@p_nombreContacto varchar(100),
		@p_telefonoContacto varchar(100),
		@p_ubicacion varchar(300),
		@p_observaciones varchar(300),
		@p_fechaPuestaMarcha_fh smalldatetime,
		@p_vencimientoGarantiaFabrica_ff smalldatetime,
		@p_vencimientoGarantiaDistribuidor_ff smalldatetime,
		@p_horasGarantia float,
		@p_ultimaLectura_fh smalldatetime,
		@p_horometroActual float,
		@p_promedioHoras float,
		@p_costo money,
		@p_fechaImportacion_ff smalldatetime,
		@p_garantiaCancelada varchar(100),
		@p_id_catalogo_equipo int,
		@p_id_sistema int,
		@p_id_sucursal int,
		@p_id_zona int,
		@p_id_versionEquipo int,
		@p_id_tercero_comprador int,
		@p_id_tercero int,
		@p_id_tercero_servicio int,
		@p_id_equipo int,
		@p_id_estadoEquipo int,
		@p_id_centroCosto int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [equ_equipo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[equipo],
			[equipo_codigo],
			[equipo_serial],
			[nombreContacto],
			[telefonoContacto],
			[ubicacion],
			[observaciones],
			[fechaPuestaMarcha_fh],
			[vencimientoGarantiaFabrica_ff],
			[vencimientoGarantiaDistribuidor_ff],
			[horasGarantia],
			[ultimaLectura_fh],
			[horometroActual],
			[promedioHoras],
			[costo],
			[fechaImportacion_ff],
			[garantiaCancelada],
			[id_catalogo.equipo],
			[id_sistema],
			[id_sucursal],
			[id_zona],
			[id_versionEquipo],
			[id_tercero_comprador],
			[id_tercero],
			[id_tercero_servicio],
			[id_equipo],
			[id_estadoEquipo],
			[id_centroCosto])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_equipo,
			@p_equipo_codigo,
			@p_equipo_serial,
			@p_nombreContacto,
			@p_telefonoContacto,
			@p_ubicacion,
			@p_observaciones,
			@p_fechaPuestaMarcha_fh,
			@p_vencimientoGarantiaFabrica_ff,
			@p_vencimientoGarantiaDistribuidor_ff,
			@p_horasGarantia,
			@p_ultimaLectura_fh,
			@p_horometroActual,
			@p_promedioHoras,
			@p_costo,
			@p_fechaImportacion_ff,
			@p_garantiaCancelada,
			@p_id_catalogo_equipo,
			@p_id_sistema,
			@p_id_sucursal,
			@p_id_zona,
			@p_id_versionEquipo,
			@p_id_tercero_comprador,
			@p_id_tercero,
			@p_id_tercero_servicio,
			@p_id_equipo,
			@p_id_estadoEquipo,
			@p_id_centroCosto)
		SET @v_id = scope_identity()
UPDATE [equ_equipo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_equ_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_equ_equipo]
GO
CREATE PROCEDURE [act_equ_equipo]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [equ_equipo]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_equ_equipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_equ_equipo_m]
GO
CREATE PROCEDURE [reg_equ_equipo_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[equipo] AS [equipo],
		[equipo_codigo] AS [equipo_codigo],
		[equipo_serial] AS [equipo_serial],
		[nombreContacto] AS [nombreContacto],
		[telefonoContacto] AS [telefonoContacto],
		[ubicacion] AS [ubicacion],
		[observaciones] AS [observaciones],
		[fechaPuestaMarcha_fh] AS [fechaPuestaMarcha_fh],
		[vencimientoGarantiaFabrica_ff] AS [vencimientoGarantiaFabrica_ff],
		[vencimientoGarantiaDistribuidor_ff] AS [vencimientoGarantiaDistribuidor_ff],
		[horasGarantia] AS [horasGarantia],
		[ultimaLectura_fh] AS [ultimaLectura_fh],
		[horometroActual] AS [horometroActual],
		[promedioHoras] AS [promedioHoras],
		[costo] AS [costo],
		[fechaImportacion_ff] AS [fechaImportacion_ff],
		[garantiaCancelada] AS [garantiaCancelada],
		[id_catalogo.equipo] AS [id_catalogo.equipo],
		[id_sistema] AS [id_sistema],
		[id_sucursal] AS [id_sucursal],
		[id_zona] AS [id_zona],
		[id_versionEquipo] AS [id_versionEquipo],
		[id_tercero_comprador] AS [id_tercero_comprador],
		[id_tercero] AS [id_tercero],
		[id_tercero_servicio] AS [id_tercero_servicio],
		[id_equipo] AS [id_equipo],
		[id_estadoEquipo] AS [id_estadoEquipo],
		[id_centroCosto] AS [id_centroCosto]
	FROM [equ_equipo]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_equ_equiposXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXusuario_creo_m]
GO
CREATE PROCEDURE [sel_equ_equiposXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXcatalogo_equipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXcatalogo_equipo_m]
GO
CREATE PROCEDURE [sel_equ_equiposXcatalogo_equipo_m]
	@p_id_catalogo_equipo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_catalogo.equipo]= @p_id_catalogo_equipo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXsistema_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXsistema_m]
GO
CREATE PROCEDURE [sel_equ_equiposXsistema_m]
	@p_id_sistema INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_sistema]= @p_id_sistema)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXsucursal_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXsucursal_m]
GO
CREATE PROCEDURE [sel_equ_equiposXsucursal_m]
	@p_id_sucursal INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_sucursal]= @p_id_sucursal)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXzona_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXzona_m]
GO
CREATE PROCEDURE [sel_equ_equiposXzona_m]
	@p_id_zona INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_zona]= @p_id_zona)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXversionEquipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXversionEquipo_m]
GO
CREATE PROCEDURE [sel_equ_equiposXversionEquipo_m]
	@p_id_versionEquipo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_versionEquipo]= @p_id_versionEquipo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXtercero_comprador_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXtercero_comprador_m]
GO
CREATE PROCEDURE [sel_equ_equiposXtercero_comprador_m]
	@p_id_tercero_comprador INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_tercero_comprador]= @p_id_tercero_comprador)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXtercero_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXtercero_m]
GO
CREATE PROCEDURE [sel_equ_equiposXtercero_m]
	@p_id_tercero INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_tercero]= @p_id_tercero)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXtercero_servicio_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXtercero_servicio_m]
GO
CREATE PROCEDURE [sel_equ_equiposXtercero_servicio_m]
	@p_id_tercero_servicio INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_tercero_servicio]= @p_id_tercero_servicio)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXequipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXequipo_m]
GO
CREATE PROCEDURE [sel_equ_equiposXequipo_m]
	@p_id_equipo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_equipo]= @p_id_equipo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXestadoEquipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXestadoEquipo_m]
GO
CREATE PROCEDURE [sel_equ_equiposXestadoEquipo_m]
	@p_id_estadoEquipo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_estadoEquipo]= @p_id_estadoEquipo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equiposXcentroCosto_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equiposXcentroCosto_m]
GO
CREATE PROCEDURE [sel_equ_equiposXcentroCosto_m]
	@p_id_centroCosto INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_equ_equipo]
	WHERE ([id_centroCosto]= @p_id_centroCosto)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_equipos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_equipos_m]
GO
CREATE PROCEDURE [sel_equ_equipos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_equ_equipo]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_equ_equipos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_equ_equipos_m]
GO
CREATE PROCEDURE [lis_equ_equipos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[equipo] AS [equ_equipo]
	FROM [equ_equipo]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_equ_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_equ_equipo]
GO
CREATE PROCEDURE [aud_equ_equipo]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [equ_equipo].id as id_tabla,
	[equ_equipo].id_usuario_modifico as id_usuario_modifico,
	[equ_equipo].id_usuario_creo as id_usuario_creo,
	[equ_equipo].fechaModificacion as fechaModificacion,
	[equ_equipo].fechaCreacion as fechaCreacion,
	[equ_equipo].active as active,
	[equ_equipo].[equipo] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [equ_equipo]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[equ_equipo].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[equ_equipo].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_obrasXequipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_obrasXequipo]
GO
CREATE PROCEDURE [sel_dis_obrasXequipo]
	@p_id_equ_equipo INT
AS
BEGIN
	SELECT 	[dis_obra_equipo].[id] AS [I_id],
		[dis_obra_equipo].[uid] AS [I_uid],
		[dis_obra_equipo].[eid] AS [I_eid],
		[dis_obra_equipo].[fechaModificacion] AS [I_fechaModificacion],
		[dis_obra_equipo].[fechaCreacion] AS [I_fechaCreacion],
		[dis_obra_equipo].[active] AS [I_active],
		[dis_obra_equipo].[obra_equipo] AS [I_obra_equipo],
		[dis_obra_equipo].[promedioEsperado] AS [I_promedioEsperado]
	FROM dis_obra_equipo INNER JOIN dis_obra
	 ON [dis_obra_equipo].[id_obra] = [dis_obra].id
	WHERE	([dis_obra_equipo].[id_equipo]= @p_id_equ_equipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_dis_obra_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_dis_obra_equipo]
GO
CREATE PROCEDURE [ins_dis_obra_equipo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_obra_equipo varchar(300),
		@p_id_obra int,
		@p_id_equipo int,
		@p_promedioEsperado float
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [dis_obra_equipo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[obra_equipo],
			[id_obra],
			[id_equipo],
			[promedioEsperado])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_obra_equipo,
			@p_id_obra,
			@p_id_equipo,
			@p_promedioEsperado)
		SET @v_id = scope_identity()
UPDATE [dis_obra_equipo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_dis_obra_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_dis_obra_equipo]
GO
CREATE PROCEDURE [upd_dis_obra_equipo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_obra_equipo varchar(300) = null,
		@p_id_obra int = null,
		@p_id_equipo int = null,
		@p_promedioEsperado float = null
AS
BEGIN
		UPDATE [dis_obra_equipo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[obra_equipo] = isnull(@p_obra_equipo,[obra_equipo]),
			[id_obra] = isnull(@p_id_obra,[id_obra]),
			[id_equipo] = isnull(@p_id_equipo,[id_equipo]),
			[promedioEsperado] = isnull(@p_promedioEsperado,[promedioEsperado])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_prestamosXequipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_prestamosXequipo]
GO
CREATE PROCEDURE [sel_equ_prestamosXequipo]
	@p_id_equ_equipo INT
AS
BEGIN
	SELECT 	[equ_prestamo_equipo].[id] AS [I_id],
		[equ_prestamo_equipo].[uid] AS [I_uid],
		[equ_prestamo_equipo].[eid] AS [I_eid],
		[equ_prestamo_equipo].[fechaModificacion] AS [I_fechaModificacion],
		[equ_prestamo_equipo].[fechaCreacion] AS [I_fechaCreacion],
		[equ_prestamo_equipo].[active] AS [I_active],
		[equ_prestamo_equipo].[prestamo_equipo] AS [I_prestamo_equipo],
		[equ_prestamo_equipo].[fechaDevolucion_ff] AS [I_fechaDevolucion_ff]
	FROM equ_prestamo_equipo INNER JOIN equ_prestamo
	 ON [equ_prestamo_equipo].[id_prestamo] = [equ_prestamo].id
	WHERE	([equ_prestamo_equipo].[id_equipo]= @p_id_equ_equipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_equ_prestamo_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_equ_prestamo_equipo]
GO
CREATE PROCEDURE [ins_equ_prestamo_equipo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_prestamo_equipo varchar(300),
		@p_fechaDevolucion_ff smalldatetime,
		@p_id_prestamo int,
		@p_id_equipo int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [equ_prestamo_equipo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[prestamo_equipo],
			[fechaDevolucion_ff],
			[id_prestamo],
			[id_equipo])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_prestamo_equipo,
			@p_fechaDevolucion_ff,
			@p_id_prestamo,
			@p_id_equipo)
		SET @v_id = scope_identity()
UPDATE [equ_prestamo_equipo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_equ_prestamo_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_equ_prestamo_equipo]
GO
CREATE PROCEDURE [upd_equ_prestamo_equipo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_prestamo_equipo varchar(300) = null,
		@p_fechaDevolucion_ff smalldatetime = null,
		@p_id_prestamo int = null,
		@p_id_equipo int = null
AS
BEGIN
		UPDATE [equ_prestamo_equipo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[prestamo_equipo] = isnull(@p_prestamo_equipo,[prestamo_equipo]),
			[fechaDevolucion_ff] = isnull(@p_fechaDevolucion_ff,[fechaDevolucion_ff]),
			[id_prestamo] = isnull(@p_id_prestamo,[id_prestamo]),
			[id_equipo] = isnull(@p_id_equipo,[id_equipo])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'equ_equipo'
-----------------------------------09/05/2017 10:00:09